<?php
// Add Custom Controls
require_once PARENT_DIR . '/admin/customizer/layout/pattern-picker-custom-control.php';
require_once PARENT_DIR . '/admin/customizer/text/textarea-custom-control.php';
require_once PARENT_DIR . '/admin/customizer/text/separator-custom-control.php';
require_once PARENT_DIR . '/admin/customizer/select/google-font-dropdown-custom-control.php';
require_once PARENT_DIR . '/admin/customizer/google-fonts.php';
require_once PARENT_DIR . '/admin/customizer/system-fonts.php';
require_once PARENT_DIR . '/admin/customizer/patterns.php';
require_once PARENT_DIR . '/admin/customizer/font-weights.php';
require_once PARENT_DIR . '/admin/customizer/import-export.php';

add_action( 'customize_register', 'options_theme_customizer_register' );
function options_theme_customizer_register($wp_customize) {

	/**
	 * Layout section
	 */
    $wp_customize->add_section(
        'layout_section',
        array(
            'title' => 'Layout',
            'description' => 'Various layout options.',
            'priority' => 1,
        )
    );

    	/* Layout style */
    	$wp_customize->add_setting(
		    'layout_style',
		    array(
		        'default' => 'full',
		    )
		);
		$wp_customize->add_control(
		    'layout_style',
		    array(
		        'type' => 'select',
		        'label' => 'Layout style',
		        'section' => 'layout_section',
		        'choices' => array(
		            'full' => 'Fullwidth',
					'boxed' => 'Boxed'
		        ),
		        'settings'   => 'layout_style',
		    )
		);

    	/* Header style */
    	$wp_customize->add_setting(
		    'header_style',
		    array(
		        'default' => 'default',
		    )
		);
		$wp_customize->add_control(
		    'header_style',
		    array(
		        'type' => 'select',
		        'label' => 'Header style',
		        'section' => 'layout_section',
		        'choices' => array(
		            'default' => 'Default',
					'inline' => 'Inline',
					'centered' => 'Centered'
		        ),
		        'settings'   => 'header_style',
		    )
		);

	/**
	 * Logo section
	 */
    $wp_customize->add_section(
        'logos_section',
        array(
            'title' => 'Logos',
            'description' => 'Upload theme logos',
            'priority' => 2,
        )
    );
    	/* Tagline check */
    	$wp_customize->add_setting(
		    'tagline_check'
		);
		$wp_customize->add_control(
		    'tagline_check',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Display site tagline?',
		        'section' => 'title_tagline',
		        'settings'   => 'tagline_check',
		    )
		);

		/* Separator */
    	$wp_customize->add_setting('logo_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'logo_separator',
		        array(
			        'section' => 'logos_section',
			        'priority' => 1,
		        )
		    )
		);
    	/* Main logo check */
    	$wp_customize->add_setting(
		    'logo_check',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'logo_check',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Display a custom image/logo image in place of title header.',
		        'section' => 'logos_section',
		        'priority' => 1,
		        'settings'   => 'logo_check',
		    )
		);
		
    	/* Main logo */
    	$wp_customize->add_setting(
		    'main_logo',
		    array(
		        'default'      => get_template_directory_uri() . '/images/logo-smarty.png'
		    )
		);
		$wp_customize->add_control(
		    new WP_Customize_Image_Control(
		        $wp_customize,
		        'main_logo',
		        array(
		            'label'    => 'Logo',
		            'settings' => 'main_logo',
		            'section'  => 'logos_section',
		            'priority' => 2,
		        )
		    )
		);
		/* Retina logo */
    	$wp_customize->add_setting(
		    'retina_logo',
		    array(
		        'default'      => get_template_directory_uri() . '/images/logo-smarty-retina@2x.png'
		    )
		);
		$wp_customize->add_control(
		    new WP_Customize_Image_Control(
		        $wp_customize,
		        'retina_logo',
		        array(
		            'label'    => 'Retina Logo',
		            'settings' => 'retina_logo',
		            'section'  => 'logos_section',
		            'priority' => 3,
		        )
		    )
		);

		/* Logo width */
		$wp_customize->add_setting(
		    'logo_width',
		    array(
		        'default' => '150',
		    )
		);
		$wp_customize->add_control(
		    'logo_width',
		    array(
		        'label' => 'Logo width',
		        'section' => 'logos_section',
		        'type' => 'text',
		        'priority' => 4,
		    )
		);

		/* Logo height */
		$wp_customize->add_setting(
		    'logo_height',
		    array(
		        'default' => '35',
		    )
		);
		$wp_customize->add_control(
		    'logo_height',
		    array(
		        'label' => 'Logo height',
		        'section' => 'logos_section',
		        'type' => 'text',
		        'priority' => 5,
		    )
		);

		/* Logo margin-top */
		$wp_customize->add_setting(
		    'logo_margin_top',
		    array(
		        'default' => '0',
		    )
		);
		$wp_customize->add_control(
		    'logo_margin_top',
		    array(
		        'label' => 'Logo margin top (in px)',
		        'section' => 'logos_section',
		        'type' => 'text',
		        'priority' => 5,
		    )
		);

		/* Separator */
    	$wp_customize->add_setting('admin_logo_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'admin_logo_separator',
		        array(
			        'section' => 'logos_section',
			        'priority' => 6,
		        )
		    )
		);

		/* WP admin logo check */
    	$wp_customize->add_setting(
		    'admin_logo_check',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'admin_logo_check',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Display a custom image/logo on the wp admin login area.',
		        'section' => 'logos_section',
		        'priority' => 6,
		    )
		);
		/* WP admin logo */
    	$wp_customize->add_setting(
		    'admin_logo',
		    array(
		        'default'      => get_template_directory_uri() . '/images/logo-smarty.png'
		    )
		);
		$wp_customize->add_control(
		    new WP_Customize_Image_Control(
		        $wp_customize,
		        'admin_logo',
		        array(
		            'label'    => 'WP Admin Logo',
		            'settings' => 'admin_logo',
		            'section'  => 'logos_section',
		            'priority' => 7,
		        )
		    )
		);
		/* WP Admin Retina logo */
    	$wp_customize->add_setting(
		    'admin_retina_logo',
		    array(
		        'default'      => get_template_directory_uri() . '/images/logo-smarty-retina@2x.png'
		    )
		);
		$wp_customize->add_control(
		    new WP_Customize_Image_Control(
		        $wp_customize,
		        'admin_retina_logo',
		        array(
		            'label'    => 'WP Admin Retina Logo',
		            'settings' => 'admin_retina_logo',
		            'section'  => 'logos_section',
		            'priority' => 8,
		        )
		    )
		);

		/* WP Admin Logo width */
		$wp_customize->add_setting(
		    'admin_logo_width',
		    array(
		        'default' => '150',
		    )
		);
		$wp_customize->add_control(
		    'admin_logo_width',
		    array(
		        'label' => 'WP Admin Logo width',
		        'section' => 'logos_section',
		        'type' => 'text',
		        'priority' => 9,
		    )
		);

		/* WP Admin Logo height */
		$wp_customize->add_setting(
		    'admin_logo_height',
		    array(
		        'default' => '35',
		    )
		);
		$wp_customize->add_control(
		    'admin_logo_height',
		    array(
		        'label' => 'WP Admin Logo height',
		        'section' => 'logos_section',
		        'type' => 'text',
		        'priority' => 10,
		    )
		);

		/* Separator */
    	$wp_customize->add_setting('favicon_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'favicon_separator',
		        array(
			        'section' => 'logos_section',
			        'priority' => 11,
		        )
		    )
		);

		/* Favicon logo */
    	$wp_customize->add_setting(
		    'favicon_logo',
		    array(
		        'default'      => get_template_directory_uri() . '/images/favicon.png'
		    )
		);
		$wp_customize->add_control(
		    new WP_Customize_Image_Control (
		        $wp_customize,
		        'favicon_logo',
		        array(
		            'label'    => 'Favicon Logo (16x16px)',
		            'settings' => 'favicon_logo',
		            'section'  => 'logos_section',
		            'priority' => 11,
		        )
		    )
		);

	/**
	 * Header section
	 */
    $wp_customize->add_section(
        'header_section',
        array(
            'title' => 'Header',
            'description' => 'Various header options.',
            'priority' => 3,
        )
    );
    	/* Top header bar */
    	$wp_customize->add_setting(
		    'top_header_bar',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'top_header_bar',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable top header bar.',
		        'section' => 'header_section',
		        'priority' => 1,
		    )
		);
		/* Header text line check */
    	$wp_customize->add_setting(
		    'header_text_line_check',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'header_text_line_check',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable header text line.',
		        'section' => 'header_section',
		        'priority' => 2,
		    )
		);
		/* Header text line */
		$wp_customize->add_setting(
		    'header_text_line',
		    array(
		        'default' => 'Contact us at: +44 (0)29 2341 6986.',
		    )
		);
		$wp_customize->add_control(
		    'header_text_line',
		    array(
		        'label' => 'Text line',
		        'section' => 'header_section',
		        'type' => 'text',
		        'priority' => 3,
		    )
		);
		/* Header social icons */
    	$wp_customize->add_setting(
		    'header_social_icons',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'header_social_icons',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable header social icons.',
		        'section' => 'header_section',
		        'priority' => 4,
		    )
		);
		/* Header search form */
    	$wp_customize->add_setting(
		    'header_search_form',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'header_search_form',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable header search form.',
		        'section' => 'header_section',
		        'priority' => 5,
		    )
		);
		/* Search for? */
    	$wp_customize->add_setting(
		    'header_search_form_display',
		    array(
		        'default' => 'posts',
		    )
		);
		$wp_customize->add_control(
		    'header_search_form_display',
		    array(
		        'type' => 'select',
		        'label' => 'Search for?',
		        'section' => 'header_section',
		        'choices' => array(
		            'posts' => 'Posts or pages',
					'products' => 'Products'
		        ),
		        'priority' => 6,
		    )
		);
		/* Header WooCommerce cart */
    	$wp_customize->add_setting(
		    'header_woocommerce_cart',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'header_woocommerce_cart',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable header WooCommerce cart. WooCommerce plugin must be installed.',
		        'section' => 'header_section',
		        'priority' => 7,
		    )
		);
		/* Header WooCommerce account */
    	$wp_customize->add_setting(
		    'header_woocommerce_account',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'header_woocommerce_account',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable header WooCommerce account link. WooCommerce plugin must be installed.',
		        'section' => 'header_section',
		        'priority' => 8,
		    )
		);
		/* WPML language box */
    	$wp_customize->add_setting(
		    'header_wpml_box',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'header_wpml_box',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable header WPML language box. WPML plugin must be installed.',
		        'section' => 'header_section',
		        'priority' => 9,
		    )
		);

	/**
	 * Footer section
	 */
    $wp_customize->add_section(
        'footer_section',
        array(
            'title' => 'Footer',
            'description' => 'Various footer options.',
            'priority' => 999,
        )
    );
    	/* Footer widgets */
    	$wp_customize->add_setting(
		    'footer_widgets',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'footer_widgets',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable footer widgets.',
		        'section' => 'footer_section',
		        'priority' => 1,
		    )
		);
		/* Footer extras */
    	$wp_customize->add_setting(
		    'footer_extras',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'footer_extras',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable footer extras (Copyright and secondary menu).',
		        'section' => 'footer_section',
		        'priority' => 2,
		    )
		);
		/* Footer copyright */
		$wp_customize->add_setting(
		    'footer_extras_copyright',
		    array(
		        'default' => 'Copyright 2014 - All rights reserved Smarty',
		    )
		);
		$wp_customize->add_control(
		    'footer_extras_copyright',
		    array(
		        'label' => 'Footer copyright',
		        'section' => 'footer_section',
		        'type' => 'text',
		        'priority' => 3,
		    )
		);
		/* Footer menu */
    	$wp_customize->add_setting(
		    'footer_extras_menu',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'footer_extras_menu',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable footer menu.',
		        'section' => 'footer_section',
		        'priority' => 4,
		    )
		);

	/**
	 * Comments section
	 */
    $wp_customize->add_section(
        'comments_section',
        array(
            'title' => 'Comments',
            'description' => 'Choose to enable/disable comments on all pages or posts.',
            'priority' => 998,
        )
    );
    	/* Page comments */
    	$wp_customize->add_setting(
		    'general_page_comments'
		);
		$wp_customize->add_control(
		    'general_page_comments',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable comments on all pages.',
		        'section' => 'comments_section',
		        'priority' => 1,
		    )
		);
		/* Posts comments */
    	$wp_customize->add_setting(
		    'general_post_comments',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'general_post_comments',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable comments on all posts..',
		        'section' => 'comments_section',
		        'priority' => 2,
		    )
		);

	/**
	 * Custom CSS section
	 */
    $wp_customize->add_section(
        'css_section',
        array(
            'title' => 'Custom CSS',
            'description' => 'Your custom CSS goes here. Do not include the style tag.This is already done for you.',
            'priority' => 998,
        )
    );
		
		$wp_customize->add_setting( 
			'custom_css' 
		);
		$wp_customize->add_control(
		    new Textarea_Custom_Control(
		        $wp_customize,
		        'custom_css',
		        array(
		            'label' => 'CSS',
		            'section' => 'css_section',
		            'priority' => 1
		        )
		    )
		);

	/**
	 * Custom Scripts section
	 */
    $wp_customize->add_section(
        'js_section',
        array(
            'title' => 'Custom Scripts',
            'description' => 'Add custom footer scripts such as Google Analytics. Do not include the script tag. This is already done for you.',
            'priority' => 997,
        )
    );
		
		$wp_customize->add_setting( 
			'custom_js' 
		);
		$wp_customize->add_control(
		    new Textarea_Custom_Control(
		        $wp_customize,
		        'custom_js',
		        array(
		            'label' => 'JS',
		            'section' => 'js_section',
		            'priority' => 1
		        )
		    )
		);

	/**
	 * Social Media section
	 */
    $wp_customize->add_section(
        'social_section',
        array(
            'title' => 'Social Media',
            'description' => 'Add your social icons.',
            'priority' => 996,
        )
    );
    	/* RSS link */
		$wp_customize->add_setting(
		    'rss_link'
		);
		$wp_customize->add_control(
		    'rss_link',
		    array(
		        'label' => 'RSS Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 1,
		    )
		);
		/* RSS link in header */
    	$wp_customize->add_setting(
		    'rss_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'rss_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 2,
		    )
		);

		/* Facebook Link (Widget) */
		$wp_customize->add_setting(
		    'facebook_link'
		);
		$wp_customize->add_control(
		    'facebook_link',
		    array(
		        'label' => 'Facebook Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 3,
		    )
		);
		/* Facebook Link in header */
    	$wp_customize->add_setting(
		    'facebook_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'facebook_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 4,
		    )
		);

		/* Twitter Link (Widget) */
		$wp_customize->add_setting(
		    'twitter_link',
		    array(
		        'default' => 'okwpthemes',
		    )
		);
		$wp_customize->add_control(
		    'twitter_link',
		    array(
		        'label' => 'Twitter Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 5,
		    )
		);
		/* Twitter Link in header */
    	$wp_customize->add_setting(
		    'twitter_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'twitter_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 6,
		    )
		);
		/* Twitter Link (Widget) */
		$wp_customize->add_setting(
		    'twitter_link',
		    array(
		        'default' => 'okwpthemes',
		    )
		);
		$wp_customize->add_control(
		    'twitter_link',
		    array(
		        'label' => 'Twitter Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 5,
		    )
		);

		/* Skype Link (Widget) */
		$wp_customize->add_setting(
		    'skype_link'
		);
		$wp_customize->add_control(
		    'skype_link',
		    array(
		        'label' => 'Skype Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 7,
		    )
		);
		/* Skype Link in header */
    	$wp_customize->add_setting(
		    'skype_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'skype_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 8,
		    )
		);

		/* Vimeo Link (Widget) */
		$wp_customize->add_setting(
		    'vimeo_link'
		);
		$wp_customize->add_control(
		    'vimeo_link',
		    array(
		        'label' => 'Vimeo Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 9,
		    )
		);
		/* Vimeo Link in header */
    	$wp_customize->add_setting(
		    'vimeo_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'vimeo_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 10,
		    )
		);

		/* LinkedIn Link (Widget) */
		$wp_customize->add_setting(
		    'linkedin_link'
		);
		$wp_customize->add_control(
		    'linkedin_link',
		    array(
		        'label' => 'LinkedIn Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 11,
		    )
		);
		/* LinkedIn Link in header */
    	$wp_customize->add_setting(
		    'linkedin_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'linkedin_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 12,
		    )
		);

		/* Dribble Link (Widget) */
		$wp_customize->add_setting(
		    'dribble_link'
		);
		$wp_customize->add_control(
		    'dribble_link',
		    array(
		        'label' => 'Dribble Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 13,
		    )
		);
		/* Dribble Link in header */
    	$wp_customize->add_setting(
		    'dribble_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'dribble_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 14,
		    )
		);

		/* Forrst Link (Widget) */
		$wp_customize->add_setting(
		    'forrst_link'
		);
		$wp_customize->add_control(
		    'forrst_link',
		    array(
		        'label' => 'Forrst Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 15,
		    )
		);
		/* Forrst Link in header */
    	$wp_customize->add_setting(
		    'forrst_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'forrst_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 16,
		    )
		);

		/* Flickr Link (Widget) */
		$wp_customize->add_setting(
		    'flickr_link'
		);
		$wp_customize->add_control(
		    'flickr_link',
		    array(
		        'label' => 'Flickr Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 17,
		    )
		);
		/* Flickr Link in header */
    	$wp_customize->add_setting(
		    'flickr_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'flickr_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 18,
		    )
		);

		/* Google Link (Widget) */
		$wp_customize->add_setting(
		    'google_link'
		);
		$wp_customize->add_control(
		    'google_link',
		    array(
		        'label' => 'Google Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 19,
		    )
		);
		/* Google Link in header */
    	$wp_customize->add_setting(
		    'google_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'google_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 20,
		    )
		);

		/* Youtube Link (Widget) */
		$wp_customize->add_setting(
		    'youtube_link'
		);
		$wp_customize->add_control(
		    'youtube_link',
		    array(
		        'label' => 'Youtube Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 21,
		    )
		);
		/* Youtube Link in header */
    	$wp_customize->add_setting(
		    'youtube_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'youtube_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 22,
		    )
		);

		/* Tumblr Link (Widget) */
		$wp_customize->add_setting(
		    'tumblr_link'
		);
		$wp_customize->add_control(
		    'tumblr_link',
		    array(
		        'label' => 'Tumblr Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 23,
		    )
		);
		/* Tumblr Link in header */
    	$wp_customize->add_setting(
		    'tumblr_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'tumblr_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 24,
		    )
		);

		/* Pinterest Link (Widget) */
		$wp_customize->add_setting(
		    'pinterest_link',
		    array(
		        'default' => '',
		    )
		);
		$wp_customize->add_control(
		    'pinterest_link',
		    array(
		        'label' => 'Pinterest Link (Widget)',
		        'section' => 'social_section',
		        'type' => 'text',
		        'priority' => 25,
		    )
		);
		/* Pinterest Link in header */
    	$wp_customize->add_setting(
		    'pinterest_link_header',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'pinterest_link_header',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable icon in header',
		        'section' => 'social_section',
		        'priority' => 26,
		    )
		);

	/**
	 * Page templates section
	 */
    $wp_customize->add_section(
        'templates_section',
        array(
            'title' => 'Page templates',
            'description' => 'Customize the style of different pages',
            'priority' => 4,
        )
    );
    	/* Portfolio slug */
		$wp_customize->add_setting(
		    'portfolio_cpt_slug',
		    array(
		        'default' => 'portfolio-item',
		    )
		);
		$wp_customize->add_control(
		    'portfolio_cpt_slug',
		    array(
		        'label' => 'Portfolio slug',
		        'section' => 'templates_section',
		        'type' => 'text',
		        'priority' => 1,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('portfolio_archive_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'portfolio_archive_separator',
		        array(
		        	'label' => 'Portfolio Category/Archive page',
			        'section' => 'templates_section',
			        'priority' => 2,
		        )
		    )
		);
		/* Category/archive portfolio layout */
    	$wp_customize->add_setting(
		    'archive_portfolio_page_style',
		    array(
		        'default' => 'right',
		    )
		);
		$wp_customize->add_control(
		    'archive_portfolio_page_style',
		    array(
		        'type' => 'select',
		        'label' => 'Category/archive portfolio layout',
		        'section' => 'templates_section',
		        'choices' => array(
		            'left' => 'Left sidebar',
					'right' => 'Right sidebar',
					'fullwidth' => 'Fullwidth',
		        ),
		        'priority' => 3,
		    )
		);
		/* Category/archive portfolio columns */
    	$wp_customize->add_setting(
		    'archive_portfolio_page_columns',
		    array(
		        'default' => 'four_columns',
		    )
		);
		$wp_customize->add_control(
		    'archive_portfolio_page_columns',
		    array(
		        'type' => 'select',
		        'label' => 'Category/archive portfolio columns',
		        'section' => 'templates_section',
		        'choices' => array(
		            'four_columns' => '4 Columns',
					'three_columns' => '3 Columns',
					'two_columns' => '2 Columns',
					'one_column' => '1 Column'
		        ),
		        'priority' => 4,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('portfolio_inner_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'portfolio_inner_separator',
		        array(
		        	'label' => 'Portfolio inner (single) page',
			        'section' => 'templates_section',
			        'priority' => 5,
		        )
		    )
		);
		/* Portfolio inner(single) page style */
    	$wp_customize->add_setting(
		    'portfolio_inner_page_style',
		    array(
		        'default' => 'right',
		    )
		);
		$wp_customize->add_control(
		    'portfolio_inner_page_style',
		    array(
		        'type' => 'select',
		        'label' => 'Portfolio inner(single) page style',
		        'section' => 'templates_section',
		        'choices' => array(
		            'left' => 'Left sidebar',
					'right' => 'Right sidebar',
					'fullwidth' => 'Fullwidth',
		        ),
		        'priority' => 6,
		    )
		);
		/* Portfolio Navigation */
    	$wp_customize->add_setting(
		    'portfolio_inner_nav',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'portfolio_inner_nav',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable navigation on portfolio inner page',
		        'section' => 'templates_section',
		        'priority' => 7,
		    )
		);
		/* Navigation base link */
		$wp_customize->add_setting(
		    'portfolio_nav_base_link'
		);
		$wp_customize->add_control(
		    'portfolio_nav_base_link',
		    array(
		        'label' => 'Navigation base link',
		        'section' => 'templates_section',
		        'type' => 'text',
		        'priority' => 8,
		    )
		);
		/* Related posts */
    	$wp_customize->add_setting(
		    'portfolio_related_posts',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'portfolio_related_posts',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable related posts on portfolio inner page',
		        'section' => 'templates_section',
		        'priority' => 9,
		    )
		);
		/* Related posts title */
		$wp_customize->add_setting(
		    'portfolio_related_posts_title',
		    array(
		        'default' => 'Related posts',
		    )
		);
		$wp_customize->add_control(
		    'portfolio_related_posts_title',
		    array(
		        'label' => 'Related posts title',
		        'section' => 'templates_section',
		        'type' => 'text',
		        'priority' => 10,
		    )
		);
		/* Number of related posts to show */
    	$wp_customize->add_setting(
		    'portfolio_related_posts_number',
		    array(
		        'default' => '3',
		    )
		);
		$wp_customize->add_control(
		    'portfolio_related_posts_number',
		    array(
		        'type' => 'select',
		        'label' => 'Number of related posts to show',
		        'section' => 'templates_section',
		        'choices' => array(
		            '2' => '2',
					'3' => '3',
					'4' => '4',
		        ),
		        'priority' => 11,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('blog_inner_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'blog_inner_separator',
		        array(
		        	'label' => 'Blog inner (single) page',
			        'section' => 'templates_section',
			        'priority' => 12,
		        )
		    )
		);
		/* Blog inner(single) page style */
    	$wp_customize->add_setting(
		    'blog_inner_page_style',
		    array(
		        'default' => 'right',
		    )
		);
		$wp_customize->add_control(
		    'blog_inner_page_style',
		    array(
		        'type' => 'select',
		        'label' => 'Blog inner(single) page style',
		        'section' => 'templates_section',
		        'choices' => array(
		            'left' => 'Left sidebar',
					'right' => 'Right sidebar',
					'fullwidth' => 'Fullwidth',
		        ),
		        'priority' => 13,
		    )
		);
		/* Blog Navigation */
    	$wp_customize->add_setting(
		    'blog_inner_nav',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'blog_inner_nav',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable navigation on blog inner page',
		        'section' => 'templates_section',
		        'priority' => 14,
		    )
		);
		/* Blog base link */
		$wp_customize->add_setting(
		    'blog_nav_base_link'
		);
		$wp_customize->add_control(
		    'blog_nav_base_link',
		    array(
		        'label' => 'Blog base link',
		        'section' => 'templates_section',
		        'type' => 'text',
		        'priority' => 15,
		    )
		);
		/* Inner page image */
    	$wp_customize->add_setting(
		    'blog_inner_image',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'blog_inner_image',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable blog page inner image',
		        'section' => 'templates_section',
		        'priority' => 16,
		    )
		);
		/* Share box */
    	$wp_customize->add_setting(
		    'blog_share_box',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'blog_share_box',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable share box on blog inner page',
		        'section' => 'templates_section',
		        'priority' => 16,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('blog_archive_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'blog_archive_separator',
		        array(
		        	'label' => 'Blog category/archive page',
			        'section' => 'templates_section',
			        'priority' => 17,
		        )
		    )
		);
		/* Category/archive page style */
    	$wp_customize->add_setting(
		    'archive_page_style',
		    array(
		        'default' => 'right',
		    )
		);
		$wp_customize->add_control(
		    'archive_page_style',
		    array(
		        'type' => 'select',
		        'label' => 'Category/Archive page style',
		        'section' => 'templates_section',
		        'choices' => array(
		            'left' => 'Left sidebar',
					'right' => 'Right sidebar',
					'fullwidth' => 'Fullwidth',
		        ),
		        'priority' => 18,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('search_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'search_separator',
		        array(
		        	'label' => 'Search page',
			        'section' => 'templates_section',
			        'priority' => 19,
		        )
		    )
		);
		/* Search page style */
    	$wp_customize->add_setting(
		    'search_page_style',
		    array(
		        'default' => 'right',
		    )
		);
		$wp_customize->add_control(
		    'search_page_style',
		    array(
		        'type' => 'select',
		        'label' => 'Search page style',
		        'section' => 'templates_section',
		        'choices' => array(
		            'left' => 'Left sidebar',
					'right' => 'Right sidebar',
					'fullwidth' => 'Fullwidth',
		        ),
		        'priority' => 20,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('not_found_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'not_found_separator',
		        array(
		        	'label' => '404 page',
			        'section' => 'templates_section',
			        'priority' => 21,
		        )
		    )
		);
		/* Not found title */
		$wp_customize->add_setting(
		    'not_found_page_title',
		    array(
		        'default' => 'Ooops page not found ...',
		    )
		);
		$wp_customize->add_control(
		    'not_found_page_title',
		    array(
		        'label' => 'Not found title',
		        'section' => 'templates_section',
		        'type' => 'text',
		        'priority' => 22,
		    )
		);
		/* Not found description */
		$wp_customize->add_setting( 
			'not_found_page_description',
			array(
		        'default' => 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching, or one of the links below, can help.',
		    ) 
		);
		$wp_customize->add_control(
		    new Textarea_Custom_Control(
		        $wp_customize,
		        'not_found_page_description',
		        array(
		            'label' => 'Not found description',
		            'section' => 'templates_section',
		            'priority' => 23
		        )
		    )
		);
		/* Contact button link */
		$wp_customize->add_setting(
		    'not_found_contact_btn_link',
		    array(
		        'default' => '#',
		    )
		);
		$wp_customize->add_control(
		    'not_found_contact_btn_link',
		    array(
		        'label' => 'Contact button link',
		        'section' => 'templates_section',
		        'type' => 'text',
		        'priority' => 24,
		    )
		);
		/* Search form */
    	$wp_customize->add_setting(
		    'not_found_page_search',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'not_found_page_search',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable search form on not found page',
		        'section' => 'templates_section',
		        'priority' => 25,
		    )
		);
	
	/**
	 * Store section
	 */
    $wp_customize->add_section(
        'store_section',
        array(
            'title' => 'Store',
            'description' => 'Customize store. WooCommerce plugin must be installed.',
            'priority' => 4,
        )
    );
    	/* Separator */
    	$wp_customize->add_setting('general_store_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'general_store_separator',
		        array(
		        	'label' => 'General options',
			        'section' => 'store_section',
			        'priority' => 1,
		        )
		    )
		);
		/* Catalog mode */
    	$wp_customize->add_setting(
		    'store_catalog_mode'
		);
		$wp_customize->add_control(
		    'store_catalog_mode',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable catalog mode. This will disable: add to cart, checkout and buy functions.',
		        'section' => 'store_section',
		        'priority' => 2,
		    )
		);
		/* Product hover mode */
    	$wp_customize->add_setting(
		    'store_product_hover',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'store_product_hover',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable product hover.',
		        'section' => 'store_section',
		        'priority' => 2,
		    )
		);
		/* Shop product columns */
    	$wp_customize->add_setting(
		    'shop_product_columns',
		    array(
		        'default' => '3',
		    )
		);
		$wp_customize->add_control(
		    'shop_product_columns',
		    array(
		        'type' => 'select',
		        'label' => 'Shop product columns',
		        'section' => 'store_section',
		        'choices' => array(
		            '2' => '2 columns',
					'3' => '3 columns',
					'4' => '4 columns',
					'5' => '5 columns',
		        ),
		        'priority' => 3,
		    )
		);
		/* Number of products per page */
		$wp_customize->add_setting(
		    'product_per_page',
		    array(
		        'default' => '12',
		    )
		);
		$wp_customize->add_control(
		    'product_per_page',
		    array(
		        'label' => 'Number of products per page',
		        'section' => 'store_section',
		        'type' => 'text',
		        'priority' => 4,
		    )
		);
		/* Sale flash */
    	$wp_customize->add_setting(
		    'store_sale_flash',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'store_sale_flash',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable sale flash on products.',
		        'section' => 'store_section',
		        'priority' => 5,
		    )
		);
		/* Products price */
    	$wp_customize->add_setting(
		    'store_products_price',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'store_products_price',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable products price.',
		        'section' => 'store_section',
		        'priority' => 6,
		    )
		);
		/* Products Add to cart */
    	$wp_customize->add_setting(
		    'store_add_to_cart',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'store_add_to_cart',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable add to cart button.',
		        'section' => 'store_section',
		        'priority' => 7,
		    )
		);
		/* Products Add to wishlist */
    	$wp_customize->add_setting(
		    'store_add_to_wishlist',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'store_add_to_wishlist',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable add to wishlist button.',
		        'section' => 'store_section',
		        'priority' => 7,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('product_store_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'product_store_separator',
		        array(
		        	'label' => 'Product options',
			        'section' => 'store_section',
			        'priority' => 8,
		        )
		    )
		);
		/* Product page layout */
    	$wp_customize->add_setting(
		    'product_page_layout',
		    array(
		        'default' => 'no_sidebar',
		    )
		);
		$wp_customize->add_control(
		    'product_page_layout',
		    array(
		        'type' => 'select',
		        'label' => 'Product page layout',
		        'section' => 'store_section',
		        'choices' => array(
		            'with_right_sidebar' => 'With right sidebar',
					'with_left_sidebar' => 'With left sidebar',
					'no_sidebar' => 'Without sidebar'
		        ),
		        'priority' => 9,
		    )
		);
		/* Sale flash */
    	$wp_customize->add_setting(
		    'product_sale_flash',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_sale_flash',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable sale flash on products.',
		        'section' => 'store_section',
		        'priority' => 10,
		    )
		);
		/* Products price */
    	$wp_customize->add_setting(
		    'product_products_price',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_products_price',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable products price.',
		        'section' => 'store_section',
		        'priority' => 11,
		    )
		);
		/* Product excerpt */
    	$wp_customize->add_setting(
		    'product_products_excerpt',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_products_excerpt',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable product excerpt(short description).',
		        'section' => 'store_section',
		        'priority' => 12,
		    )
		);
		/* Product meta */
    	$wp_customize->add_setting(
		    'product_products_meta',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_products_meta',
		    array(
		        'type' => 'checkbox',
		        'label' => ' Enable/Disable product meta(sku, category, tag).',
		        'section' => 'store_section',
		        'priority' => 13,
		    )
		);
		/* Product add to cart */
    	$wp_customize->add_setting(
		    'product_add_to_cart',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_add_to_cart',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable add to cart button',
		        'section' => 'store_section',
		        'priority' => 14,
		    )
		);
		/* Product Related products*/
    	$wp_customize->add_setting(
		    'product_related_products',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_related_products',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable Related products',
		        'section' => 'store_section',
		        'priority' => 15,
		    )
		);
		/* Product Up sells products*/
    	$wp_customize->add_setting(
		    'product_upsells_products',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_upsells_products',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable Up Sells products',
		        'section' => 'store_section',
		        'priority' => 16,
		    )
		);
		/* Product Reviews tab */
    	$wp_customize->add_setting(
		    'product_reviews_tab',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_reviews_tab',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable reviews tab',
		        'section' => 'store_section',
		        'priority' => 17,
		    )
		);
		/* Product Description tab */
    	$wp_customize->add_setting(
		    'product_description_tab',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_description_tab',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable description tab',
		        'section' => 'store_section',
		        'priority' => 18,
		    )
		);
		/* Product Attributes tab */
    	$wp_customize->add_setting(
		    'product_attributes_tab',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_attributes_tab',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable attributes tab',
		        'section' => 'store_section',
		        'priority' => 19,
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('cart_store_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'cart_store_separator',
		        array(
		        	'label' => 'Cart options',
			        'section' => 'store_section',
			        'priority' => 20,
		        )
		    )
		);
		/* Cross Sells products */
    	$wp_customize->add_setting(
		    'product_crosssells_products',
		    array(
		        'default' => '1',
		    )
		);
		$wp_customize->add_control(
		    'product_crosssells_products',
		    array(
		        'type' => 'checkbox',
		        'label' => 'Enable/Disable Cross Sells products',
		        'section' => 'store_section',
		        'priority' => 21,
		    )
		);

    	
		/* Primary color */
		$wp_customize->add_setting(
		    'primary-color',
		    array(
		        'default' => '#2ecc71',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'primary-color',
		        array(
		            'label' => 'Primary color',
		            'section' => 'colors',
		            'settings' => 'primary-color',
		            'priority' => 1,
		        )
		    )
		);

		/* Secondary color */
		$wp_customize->add_setting(
		    'secondary-color',
		    array(
		        'default' => '#34495E',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'secondary-color',
		        array(
		            'label' => 'Secondary color',
		            'section' => 'colors',
		            'settings' => 'secondary-color',
		            'priority' => 2,
		        )
		    )
		);

		/* Tertiary color */
		$wp_customize->add_setting(
		    'tertiary-color',
		    array(
		        'default' => '#95A5A6',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'tertiary-color',
		        array(
		            'label' => 'Tertiary color',
		            'section' => 'colors',
		            'settings' => 'tertiary-color',
		            'priority' => 3,
		        )
		    )
		);

		/* Separator */
    	$wp_customize->add_setting('font_colors_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'font_colors_separator',
		        array(
		        	'label' => 'Font colors',
			        'section' => 'colors',
			        'priority' => 4,
		        )
		    )
		);

		/* Text color */
		$wp_customize->add_setting(
		    'text-color',
		    array(
		        'default' => '#7F8C8D',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'text-color',
		        array(
		            'label' => 'Text color',
		            'section' => 'colors',
		            'settings' => 'text-color',
		            'priority' => 5,
		        )
		    )
		);

		/* Link color */
		$wp_customize->add_setting(
		    'link-color',
		    array(
		        'default' => '#2ECC71',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'link-color',
		        array(
		            'label' => 'Link color',
		            'section' => 'colors',
		            'settings' => 'link-color',
		            'priority' => 6,
		        )
		    )
		);

		/* Headings color */
		$wp_customize->add_setting(
		    'headings-color',
		    array(
		        'default' => '#34495E',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'headings-color',
		        array(
		            'label' => 'Headings color',
		            'section' => 'colors',
		            'settings' => 'headings-color',
		            'priority' => 7,
		        )
		    )
		);

		/* Menu color */
		$wp_customize->add_setting(
		    'menu-color',
		    array(
		        'default' => '#79848F',
		        'sanitize_callback' => 'sanitize_hex_color'
		    )
		);

		$wp_customize->add_control(
		    new WP_Customize_Color_Control(
		        $wp_customize,
		        'menu-color',
		        array(
		            'label' => 'Menu color',
		            'section' => 'colors',
		            'settings' => 'menu-color',
		            'priority' => 7,
		        )
		    )
		);
		/* Separator */
    	$wp_customize->add_setting('background_color_separator');
		$wp_customize->add_control(
		    new Separator_Custom_Control(
		        $wp_customize,
		        'background_color_separator',
		        array(
		        	'label' => 'Background color',
			        'section' => 'colors',
			        'priority' => 8,
		        )
		    )
		);

	/**
	 * Fonts section
	 */
    $wp_customize->add_section(
        'fonts_section',
        array(
            'title' => 'Fonts',
            'description' => 'You have the possibility to select from 650 google fonts and from 6 system fonts (you find them at the beginning of the list).',
            'priority' => 5,
        )
    );
        
        $wp_customize->add_setting( 
        	'body_font', 
        	array(
            	'default' => 'Lato',
        	) 
        );
        $wp_customize->add_control( 
        	new Google_Font_Dropdown_Custom_Control( 
        		$wp_customize, 
        		'body_font', 
        		array(
		            'label'   => 'Body font family',
		            'section' => 'fonts_section',
		            'settings'   => 'body_font',
		        ) 
		    )
		);

		$wp_customize->add_setting( 
        	'body_font_style', 
        	array(
            	'default' => '400',
        	) 
        );
        global $fontWeightsArrays;
		$wp_customize->add_control(
		    'body_font_style',
		    array(
		        'type' => 'select',
		        'label' => 'Body font style',
		        'section' => 'fonts_section',
		        'choices' => $fontWeightsArrays
		    )
		);

		$wp_customize->add_setting( 
        	'headings_font', 
        	array(
            	'default' => 'Lato',
        	) 
        );

        $wp_customize->add_control( 
        	new Google_Font_Dropdown_Custom_Control( 
        		$wp_customize, 
        		'headings_font', 
        		array(
		            'label'   => 'Headings font',
		            'section' => 'fonts_section',
		            'settings'   => 'headings_font',
		        ) 
		    )
		);

		$wp_customize->add_setting( 
        	'headings_font_style', 
        	array(
            	'default' => '400',
        	) 
        );
		$wp_customize->add_control(
		    'headings_font_style',
		    array(
		        'type' => 'select',
		        'label' => 'Headings font style',
		        'section' => 'fonts_section',
		        'choices' => $fontWeightsArrays
		    )
		);

	/**
	 * Reset section
	 */
    $wp_customize->add_section(
        'reset_section',
        array(
            'title' => 'Reset theme options',
            'description' => 'Here you can reset the theme options to their default values. Enter the word "reset" and click "Save" for this option to take effect.',
            'priority' => 1000,
        )
    );
		/* Reset text */
		$wp_customize->add_setting(
		    'reset_options'
		);
		$wp_customize->add_control(
		    'reset_options',
		    array(
		        'label' => 'Type "reset"',
		        'section' => 'reset_section',
		        'type' => 'text'
		    )
		);

	/**
	 * Background section
	 */
	$wp_customize->get_section('background_image')->title = __( 'Background', 'okthemes');

		/* Select background type */
    	$wp_customize->add_setting(
		    'background_type_select',
		    array(
		        'default' => 'none',
		    )
		);
		$wp_customize->add_control(
		    'background_type_select',
		    array(
		        'type' => 'select',
		        'label' => 'Background type',
		        'section' => 'background_image',
		        'choices' => array(
		        	'none' => 'None',
		            'image' => 'Background image',
					'pattern' => 'Background pattern'
		        ),
		        'priority' => 1,
		    )
		);

		/* Patterns */
    	$wp_customize->add_setting('background_type_patterns');
		$wp_customize->add_control(
		    new Pattern_Picker_Custom_Control(
		        $wp_customize,
		        'background_type_patterns',
		        array(
		        	'label'   => 'Background pattern',
			        'section' => 'background_image',
			        'priority' => 3,
		        )
		    )
		);

}

/**
 * Registers the Theme Customizer Admin script with WordPress.
 */
function smarty_customizer_scripts() {

	wp_enqueue_script(
		'smarty-theme-customizer-admin',
		get_template_directory_uri() . '/admin/customizer/js/admin-theme-customizer.js',
		array( 'jquery' ),
		'NULL',
		true
	);

}
add_action( 'customize_controls_print_footer_scripts', 'smarty_customizer_scripts' );


function smarty_customizer_style()
{
    ?>
	<style type="text/css">
		
		hr {
			border-width: 8px;
			margin: 0;
		}
		.customizer-separator span.customize-control-title {
			background: #F7FCFE;
			font-size: 12px;
			text-align: center;
			color:#2EA2CC;
			padding: 8px 0;
			margin: 0;
		}
		.customize-layout-list ul li {
			display: inline-block;
		    text-align: center;
		    width: 78px;
		}
		.customize-layout-list ul li img{
			width: 100%;
		}
		#customize-control-background_type_patterns label {
			width: 50px;
			height: 50px;
			float: left;
			text-align: center;
		}

	</style>
    <?php
}

add_action( 'customize_controls_print_footer_scripts', 'smarty_customizer_style');


function mytheme_customize_css()
{
    ?>

    <?php
    global $systemFontTrimmedArrays;
    $body_font = get_theme_mod('body_font','Lato');
    $headings_font = get_theme_mod('headings_font','Lato');
    $body_font_style = get_theme_mod('body_font_style','400');
    $headings_font_style = get_theme_mod('headings_font_style','400');

    if ($body_font == 'Lato') {
    	$body_font_style = '100,300,400,700,900,100italic,300italic,400italic,700italic,900italic';
    }

    if ($headings_font == 'Lato') {
    	$headings_font_style = '100,300,400,700,900,100italic,300italic,400italic,700italic,900italic';
    }	
    ?>
    	
	<?php if ( ! in_array( str_replace('+', '', $body_font), $systemFontTrimmedArrays ) ) { ?>
		<link href='http://fonts.googleapis.com/css?family=<?php echo $body_font; ?>:<?php echo $body_font_style; ?>' rel='stylesheet' type='text/css'>
	<?php } ?>

	<?php if ( ! in_array( str_replace('+', '', $headings_font), $systemFontTrimmedArrays ) ) { ?>
		<link href='http://fonts.googleapis.com/css?family=<?php echo $headings_font; ?>:<?php echo $headings_font_style; ?>' rel='stylesheet' type='text/css'>
	<?php } ?>


	<style type="text/css">

		body {
			font-family: <?php echo str_replace('+', ' ', $body_font); ?>;
			font-weight: <?php echo str_replace('italic', '', get_theme_mod('body_font_style','400')); ?>;
			<?php if (strpos(get_theme_mod('body_font_style','400'), 'italic') !== false) echo "font-style:italic;"; else echo "font-style:normal;"; ?>
			color: <?php echo get_theme_mod('text-color','#7F8C8D'); ?>;
			<?php 
			global $paternArray;
			if (get_theme_mod('background_type_select') == 'pattern') {
				$pattern = get_theme_mod('background_type_patterns');
				$pattern_url = $paternArray[$pattern];
			?>
			background: url('<?php echo $pattern_url; ?>') repeat left top !important;
			<?php } ?>
		}

		h1, h2, h3, h4, h5, h6 {
			font-family: <?php echo str_replace('+', ' ', $headings_font); ?>;
			font-weight: <?php echo str_replace('italic', '', get_theme_mod('headings_font_style','400')); ?>;
			<?php if (strpos(get_theme_mod('headings_font_style','400'), 'italic') !== false) echo "font-style:italic;"; else echo "font-style:normal;"; ?>
		}

		a {
			color: <?php echo get_theme_mod('link-color','#2ECC71'); ?>;
		}

		.navbar .nav > li > a,
		.dropdown-menu > li > a {
			color: <?php echo get_theme_mod('menu-color','#79848F'); ?>;
		}

		h1, h2, h3, h4, h5, h6, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, h1 a:hover, h1 a:focus, h2 a:hover, h2 a:focus, h3 a:hover, h3 a:focus, h4 a:hover, h4 a:focus, h5 a:hover, h5 a:focus, h6 a:hover, h6 a:focus,
		h4.widget-title,
		.article-header-body .entry-title {
			color: <?php echo get_theme_mod('headings-color','#34495E'); ?>;
		}

		.btn-primary,
		footer.site-footer,
		.wpb_content_element .wpb_accordion_wrapper .ui-state-active.wpb_accordion_header,
		.isotope-filter-content.no-back ul li a,
		.woocommerce span.onsale,
		.theme_color_emerald,
		.wpb-js-composer .theme_color_emerald,
		.wpb-js-composer .wpb_button.theme_color_emerald,
		.wpb-js-composer .vc_progress_bar .vc_single_bar .vc_bar.theme_color_emerald,
		.owl-theme .owl-controls .owl-page.active span,
		.owl-theme .owl-controls .owl-page:hover span,
		.header-icon-search,
		.navbar .nav > li:focus,
		.navbar .nav > li:hover,
		.navbar .nav > li.current-menu-item,
		.navbar .nav > li.current-menu-parent,
		.navbar .is-mobile-menu.nav > li:focus a,
		.navbar .is-mobile-menu.nav > li:hover a,
		.navbar .is-mobile-menu.nav > li.current-menu-item a,
		.navbar .is-mobile-menu.nav > li.current-menu-parent a,
		.navbar .is-mobile-menu.nav > li > ul.dropdown-menu,
		.navbar .is-mobile-menu.nav > li > ul.dropdown-menu ul,
		.navbar .is-mobile-menu.nav > li > ul.dropdown-menu:hover ul,
		table > thead > tr > th,
		.table > thead > tr > th,
		.widget.tabbed-widget .nav-tabs > li.active > a,
		.widget.tabbed-widget .nav-tabs > li.active > a:hover,
		.widget.tabbed-widget .nav-tabs > li.active > a:focus,
		.btn-primary,
		.isotope-filter-content,
		.isotope-filter-content ul li a .badge,
		.owl-theme .owl-controls.clickable .owl-buttons div:hover,
		.pagination .current,
		.pagination span.page-of,
		.woocommerce #content input.button.alt:hover,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce #content input.button.alt,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt,
		.woocommerce a.button, 
		.woocommerce button.button, 
		.woocommerce input.button, 
		.woocommerce #respond input#submit,
		.woocommerce-page #content input.button.alt, 
		.woocommerce-page #respond input#submit.alt, 
		.woocommerce-page a.button.alt, 
		.woocommerce-page button.button.alt, 
		.woocommerce-page input.button.alt,
		.woocommerce-page #content input.button.alt:hover, 
		.woocommerce-page #respond input#submit.alt:hover, 
		.woocommerce-page a.button.alt:hover, 
		.woocommerce-page button.button.alt:hover, 
		.woocommerce-page input.button.alt:hover,
		.woocommerce #content input.button, 
		.woocommerce #respond input#submit, 
		.woocommerce a.button, 
		.woocommerce button.button, 
		.woocommerce input.button, 
		.woocommerce-page #content input.button, 
		.woocommerce-page #respond input#submit, 
		.woocommerce-page a.button, 
		.woocommerce-page button.button, 
		.woocommerce-page input.button,
		.woocommerce #content input.button:hover, 
		.woocommerce #respond input#submit:hover, 
		.woocommerce a.button:hover, 
		.woocommerce button.button:hover, 
		.woocommerce input.button:hover, 
		.woocommerce-page #content input.button:hover, 
		.woocommerce-page #respond input#submit:hover, 
		.woocommerce-page a.button:hover, 
		.woocommerce-page button.button:hover, 
		.woocommerce-page input.button:hover,
		.woocommerce #content div.product .woocommerce-tabs ul.tabs li,
		.woocommerce div.product .woocommerce-tabs ul.tabs li,
		.woocommerce #respond input#submit,
		article.format-link .entry-content,
		.dropdown-menu > li > a:hover,
		.dropdown-menu > li > a:focus,
		.dropdown-menu > li.current-menu-item > a,
		.header-search.header-search-open .header-icon-search,
		.no-js .header-search .header-icon-search,
		.pagination > li > a:hover,
		.pagination > li > a:focus,
		.pagination > .active > a,
		.pagination > .active > span,
		.wpb-js-composer .wpb_toggle.wpb_toggle_title_active,
		.wpb-js-composer #content h4.wpb_toggle.wpb_toggle_title_active,
		.wpb_content_element .wpb_tabs_nav li,
		.btn, 
		.wpb-js-composer .wpb_button,
		.vc_read_more,
		.more-link,
		.hentry .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current { 
			background-color:<?php echo get_theme_mod('primary-color','#2ecc71'); ?>;
		}

		.btn-secondary,
		section.page-footer-message,
		.isotope-filter-content.no-back ul li a:hover,
		.isotope-filter-content.no-back ul li a:focus,
		.isotope-filter-content.no-back ul li a.selected,
		.nav-pills > li.active > a,
		.nav-pills > li.active > a:hover,
		.nav-pills > li.active > a:focus,
		.team-box figcaption,
		section#subheader,
		.wpb_accordion .wpb_accordion_wrapper .ui-state-default .ui-icon:before,
		.wpb-js-composer .wpb_toggle:before,
		.wpb-js-composer #content h4.wpb_toggle:before,
		.image-grid figure figcaption,
		.isotope-filter-content ul li a:hover,
		.isotope-filter-content ul li a:focus,
		.isotope-filter-content ul li a.selected,
		.related-projects,
		.single .pagination > li > a,
		.single .pagination > li > span,
		.post-format,
		.format-quote blockquote,
		.newsletter-box,
		.woocommerce #payment div.payment_box,
		.woocommerce-page #payment div.payment_box {
			background-color:<?php echo get_theme_mod('secondary-color','#34495E'); ?>;
		}

		.woocommerce #payment div.payment_box:after,
		.woocommerce-page #payment div.payment_box:after {
		  border-color: rgba(0, 0, 0, 0) rgba(0, 0, 0, 0) <?php echo get_theme_mod('secondary-color','#34495E'); ?>;
		}

		.theme_color_concrete,
		.wpb-js-composer .theme_color_concrete,
		.wpb-js-composer .wpb_button.theme_color_concrete,
		.wpb-js-composer .vc_progress_bar .vc_single_bar .vc_bar.theme_color_concrete {
			background-color:<?php echo get_theme_mod('tertiary-color','#95A5A6'); ?>;
		}

		<?php if (get_theme_mod('primary-color','#2ecc71') != '#2ecc71') { ?>

			.team-box figcaption,
			.woocommerce .products .star-rating {
				color: <?php echo get_theme_mod('primary-color','#2ecc71'); ?>;
			}

			.navbar .nav > li:focus,
			.navbar .nav > li:hover,
			.navbar .nav > li.current-menu-item,
			.navbar .nav > li.current-menu-parent {
				border-right-color: <?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 10 ); ?>;
			}

			footer.site-footer .footer-extras,
			.isotope-filter-content.no-back ul li a .badge {
				background-color:<?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 20 ); ?>;
			}
			footer.site-footer h4.widget-title {
				border-color:<?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 20 ); ?>;
			}
			a.scrollup,
			a.scrollup:hover,
			a.scrollup:focus {
				background-color: <?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 30 ); ?>;
				border-bottom-color: <?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 40 ); ?>;
			}

			footer.site-footer h4.widget-title,
			footer.site-footer div.widget,
			footer.site-footer,
			footer.site-footer #footer-menu a {
				color: <?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'lighter', 70 ); ?>;
			}

			.btn:hover,
			.vc_read_more:hover,
			.btn-primary:hover,
			.more-link:hover,
			.btn-primary:focus,
			.more-link:focus,
			.btn-primary:active,
			.more-link:active,
			.btn-primary.active,
			.btn-primary.disabled,
			.btn-primary[disabled],
			.isotope-filter-content ul li a {
				background-color: <?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 30 ); ?>;
			}

			article.format-link .entry-content {
				border-left-color: <?php echo su_hex_shift( get_theme_mod('primary-color','#2ecc71'), 'darker', 30 ); ?>;
			}

		<?php } ?>

		<?php if (get_theme_mod('secondary-color','#34495E') != '#34495E') { ?>
			section.page-footer-message p,
			section#subheader header.page-title p,
			.breadcrumb > li + li:before,
			.breadcrumb > li a,
			.breadcrumb > .active,
			.image-grid figure figcaption {
				color: <?php echo su_hex_shift( get_theme_mod('secondary-color','#34495E'), 'lighter', 60 ); ?>;
			}
		<?php } ?>

		<?php 
		//Always at the end of the file
		if (get_theme_mod('custom_css') != '') {
			echo get_theme_mod('custom_css');
		} 
		?>

	</style>
    <?php
}

if ( ! is_admin() ) {
	add_action( 'wp_head', 'mytheme_customize_css');
}


