<?php
class WPBakeryShortCode_gg_team_member extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('team_member', array($this, 'gg_team_member'));  
   }


   public function gg_team_member( $atts, $content = null ) { 

         $output = $member_name = $image = '';
         extract(shortcode_atts(array(
             'member_name'        => '',
             'member_job_type'  => '',
             'member_motto'  => '',
             'social_icons'  => '',
             'member_social_facebook'  => '',
             'member_social_twitter'  => '',
             'member_social_linkedin'  => '',
             'member_social_skype'  => '',
             'member_social_dribble'  => '',
             'member_social_flickr'  => '',
             'image' => $image,
             'img_size'  => 'thumbnail',
             'el_class'     => '',
             'css_animation' => ''
         ), $atts));


         $img_id = preg_replace('/[^\d]/', '', $image);
         $img = wpb_getImageBySize(array( 'attach_id' => $img_id, 'thumb_size' => $img_size ));
         if ( $img == NULL ) $img['thumbnail'] = '<img src="http://placekitten.com/g/400/300" /> <small>'.__('This is image placeholder, edit your page to replace it.', 'okthemes').'</small>';

         $css_class = $this->getCSSAnimation($css_animation);

         if ( $social_icons == 'use_social_icons' ) {
            $social_icons_list_start = '<div class="social-icons-widget"><ul class="list-inline list-unstyled">';
            $social_icons_list_end   = '</ul></div>';

            $social_icon_facebook = '';
            if (!empty($member_social_facebook)) {
               $social_icon_facebook = '<li><a class="symbol social-facebook" title="facebook" href="'.$member_social_facebook.'" target="_blank"></a></li>';
            }

            $social_icon_twitter = '';   
            if (!empty($member_social_twitter)) {
               $social_icon_twitter = '<li><a class="symbol social-twitter" title="twitter" href="'.$member_social_twitter.'" target="_blank"></a></li>';
            }

            $social_icon_linkedin = '';
            if (!empty($member_social_linkedin)) {
               $social_icon_linkedin = '<li><a class="symbol social-linkedin" title="linkedin" href="'.$member_social_linkedin.'" target="_blank"></a></li>';
            }

            $social_icon_skype = '';
            if (!empty($member_social_skype)) {
               $social_icon_skype = '<li><a class="symbol social-skype" title="skype" href="'.$member_social_skype.'" target="_blank"></a></li>';
            }

            $social_icon_dribble = '';
            if (!empty($member_social_dribble)) {
               $social_icon_dribble = '<li><a class="symbol social-dribble" title="dribble" href="'.$member_social_dribble.'" target="_blank"></a></li>';
            }

            $social_icon_flickr = '';
            if (!empty($member_social_flickr)) {
               $social_icon_flickr = '<li><a class="symbol social-flickr" title="flickr" href="'.$member_social_flickr.'" target="_blank"></a></li>';
            }

            //Construct the string
            $social_icon_string = $social_icons_list_start.$social_icon_facebook.$social_icon_twitter.$social_icon_linkedin.$social_icon_skype.$social_icon_dribble.$social_icon_flickr.$social_icons_list_end;

         }

         if (!empty($member_motto)) {
            $member_motto_string = '<i class="icon_quotations_alt"></i><blockquote>'.$member_motto.'</blockquote>';
         }

         if (!empty($member_job_type)) {
            $member_job_type_string = '<em class="job-type">'.$member_job_type.'</em>';
         }

         $output = "\n\t".'<div class="team-box '.$css_class.'">';
         $output .= "\n\t\t".'<figure>';
         $output .= "\n\t\t\t".$img['thumbnail'];
         $output .= "\n\t\t\t".'<figcaption class="img-rounded">';
         $output .= "\n\t\t\t".$member_motto_string;
         $output .= "\n\t\t\t".$social_icon_string;
         $output .= "\n\t\t\t".'</figcaption>';
         $output .= "\n\t\t".'</figure>';
         $output .= "\n\t\t".'<h4>'.$member_name.'</h4>';
         $output .= "\n\t\t".$member_job_type_string;
         $output .= "\n\t".'</div> ';

         return $output;
         
   }

}

$WPBakeryShortCode_gg_team_member = new WPBakeryShortCode_gg_team_member();  

vc_map( array(
   "name" => __("Team member","okthemes"),
   "description" => __('Display a single team member.', 'okthemes'),
   "base" => "team_member",
   "class" => "clear_vc_style",
   "icon" => "icon-wpb-gg_vc_team_member",
   'admin_enqueue_css' => array(get_template_directory_uri().'/lib/visualcomposer/styles.css'),
   'admin_enqueue_js' => array(get_template_directory_uri().'/lib/visualcomposer/custom-vc.js'),
   "category" => __('OKThemes','okthemes'),
   "params" => array(
      array(
         "type" => "textfield",
         "heading" => __("Name","okthemes"),
         "admin_label" => true,
         "param_name" => "member_name",
         "description" => __("Insert member name here","okthemes")
      ),
      array(
         "type" => "textfield",
         "admin_label" => true,
         "heading" => __("Job type","okthemes"),
         "param_name" => "member_job_type",
         "description" => __("Insert member job type here","okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member motto","okthemes"),
         "param_name" => "member_motto",
         "description" => __("Insert member motto here. Applies on rollover","okthemes")
      ),
      array(
         "type" => "attach_image",
         "heading" => __("Author image", "okthemes"),
         "param_name" => "image",
         "description" => __("Select image from media library.", "okthemes")
      ),
      $add_css_animation,
      array(
         "type" => "textfield",
         "heading" => __("Image size", "okthemes"),
         "param_name" => "img_size",
         "description" => __("Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use 'thumbnail' size.", "okthemes")
      ),
      array(
         "type" => "checkbox",
         "class" => "",
         "heading" => __("Social icons?","okthemes"),
         "value" => array(__("Display team member social icons","okthemes") => "use_social_icons" ),
         "param_name" => "social_icons"
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member Facebook link","okthemes"),
         "param_name" => "member_social_facebook",
         "value" => '',
         "description" => __("Insert member Facebook link here","okthemes"),
         "dependency" => Array('element' => "social_icons", 'value' => array('use_social_icons'))
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member Twitter link","okthemes"),
         "param_name" => "member_social_twitter",
         "value" => '',
         "description" => __("Insert member Twitter link here","okthemes"),
         "dependency" => Array('element' => "social_icons", 'value' => array('use_social_icons'))
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member Linkedin link","okthemes"),
         "param_name" => "member_social_linkedin",
         "value" => '',
         "description" => __("Insert member Linkedin link here","okthemes"),
         "dependency" => Array('element' => "social_icons", 'value' => array('use_social_icons'))
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member Skype link","okthemes"),
         "param_name" => "member_social_skype",
         "value" => '',
         "description" => __("Insert member Skype link here","okthemes"),
         "dependency" => Array('element' => "social_icons", 'value' => array('use_social_icons'))
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member Dribble link","okthemes"),
         "param_name" => "member_social_dribble",
         "value" => '',
         "description" => __("Insert member Dribble link here","okthemes"),
         "dependency" => Array('element' => "social_icons", 'value' => array('use_social_icons'))
      ),
      array(
         "type" => "textfield",
         "heading" => __("Member Flickr link","okthemes"),
         "param_name" => "member_social_flickr",
         "value" => '',
         "description" => __("Insert member Flickr link here","okthemes"),
         "dependency" => Array('element' => "social_icons", 'value' => array('use_social_icons'))
      ),
   ),
   'js_view'  => 'SmartyVcTeamMemberView',
) );

?>