<?php
/**
 * Search Results Template
 *
 * @package WordPress
 * @subpackage Smarty
 */
get_header(); ?>

<?php
$search_inner_layout = get_theme_mod('search_page_style','right');
switch ($search_inner_layout) {
    case "left":
        $search_content_class = 'col-xs-12 col-md-9 pull-right';
        $search_sidebar_class = 'col-xs-12 col-md-3 pull-left';
        break;
    case "right":
        $search_content_class = 'col-xs-12 col-md-9 pull-left';
        $search_sidebar_class = 'col-xs-12 col-md-3 pull-right';
        break;
    case "fullwidth":
        $search_content_class = 'col-xs-12 col-md-12';
        $search_sidebar_class = 'col-xs-12 col-md-12';
        break;        
}

?>

<section id="subheader">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-12">
                <?php if (function_exists('smarty_breadcrumbs')) {
                    smarty_breadcrumbs();
                } ?>
                
                <?php if (have_posts()) : ?>
                <header class="page-title">
                    <h1><?php printf( __('Search Results for: %s', 'okthemes'),'<span>' . get_search_query() . '</span>'); ?></h1>
                </header>
                <?php endif; ?>
            </div><!--/.col-12 col-sm-12 col-lg-12 -->
        </div><!--/.row -->
    </div>
</section>


<section id="content">
    <div class="container">
        <div class="row">

        <div class="<?php echo $search_content_class; ?>">

    		<?php while ( have_posts() ) : the_post(); ?>
                <?php get_template_part( 'parts/part', get_post_format() ); ?>
            <?php endwhile; ?>

            <?php if (!have_posts()) : ?>

                <article id="post-0" class="post no-results not-found">
                    <header class="entry-header">
                        <h1 class="entry-title"><?php _e( 'Nothing Found', 'okthemes' ); ?></h1>
                    </header>

                    <div class="entry-content">
                        <p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'okthemes' ); ?></p>
                        <?php get_search_form(); ?>
                    </div><!-- .entry-content -->
                </article><!-- #post-0 -->

            <?php endif; ?>

             <?php if (function_exists("pagination")) {
                pagination($wp_query->max_num_pages);
            } ?>

        </div>

        <?php if ($search_inner_layout !='fullwidth') { ?>
        <div class="<?php echo $search_sidebar_class; ?>">
            <aside class="sidebar-nav search">
                <?php get_sidebar(); ?>
            </aside>
            <!--/aside .sidebar-nav -->
        </div><!-- /.col-4 col-sm-4 col-lg-4 -->
        <?php } ?>

    </div><!-- /.row .content -->

</div><!--/.container -->    
</section>

<?php get_footer(); ?>